## stardict 3.0.7%2Bgit20220909%2Bdfsg

=== debian/changelog ===
stardict (3.0.7+git20220909+dfsg-6build1) questing; urgency=medium

  * No-change rebuild for libxml2 soname change.

 -- Matthias Klose <doko@ubuntu.com>  Thu, 22 May 2025 06:58:33 +0200

stardict (3.0.7+git20220909+dfsg-6) unstable; urgency=medium

  * add d/p/fix-gcc14-FTBFS#1078396.patch (Closes: #1078396) Thanks Nilesh Patra

 -- xiao sheng wen <atzlinux@sina.com>  Fri, 16 Aug 2024 15:48:15 +0800

stardict (3.0.7+git20220909+dfsg-5) unstable; urgency=medium

  * Fix "stop using pcre3" (Closes: #1073056)
     - d/control: Build-Depends: remove libpcre3-dev
     - add d/p/tools-configure.ac.patch
  * Bump Standards-Version: 4.7.0

 -- xiao sheng wen <atzlinux@sina.com>  Thu, 13 Jun 2024 11:31:32 +0800

stardict (3.0.7+git20220909+dfsg-4) unstable; urgency=medium

  [ Debian Janitor ]
  * Remove constraints unnecessary since buster (oldstable)
  * Update lintian override info format in d/stardict-common.lintian-overrides
  * Use secure URI in Homepage field.
  * Fix day-of-week for changelog entry 3.0.6+dfsg-0.1.

 -- xiao sheng wen <atzlinux@sina.com>  Thu, 01 Dec 2022 14:52:33 +0800

stardict (3.0.7+git20220909+dfsg-3) unstable; urgency=medium

  [ Jeremy Bicha ]
  * Build-Depend on libmariadb-dev instead of default-libmysql-client-dev
    (Closes: #1020643)

 -- xiao sheng wen <atzlinux@sina.com>  Sun, 25 Sep 2022 09:45:01 +0800

stardict (3.0.7+git20220909+dfsg-2) unstable; urgency=medium

  [ Jeremy Bicha ]
  * Remove gconf from Build-Depends

  [ xiao sheng wen(肖盛文) ]
  * d/control: stardict-plugin Depends: update to use ncal | bsdmainutils
  * sort d/clean, add entries in it

 -- xiao sheng wen <atzlinux@sina.com>  Fri, 23 Sep 2022 20:44:24 +0800

stardict (3.0.7+git20220909+dfsg-1) unstable; urgency=medium

  [ xiao sheng wen(肖盛文) ]
  * New upstream version 3.0.7+git20220909+dfsg
  * add stardict_multi_cmd plugin
  * d/control:
      - B-D: + libjson-glib-dev
      - stardict Package Depends remove ${shlibs:Depends}, useless
      - add Suggests field for stardict
      - Bump Standards-Version: 4.6.1
      - Package: stardict-plugin Depends: + ncal, multi_cmd plugin need
  * rm d/stardict-editor.1, debian/source/lintian-overrides
    new upstream version absorbed the Debian's man stardict-editor.1
  * d/rules:
      - add override_dh_clean target
      - delete CXXFLAGS in dh_auto_configure

 -- xiao sheng wen <atzlinux@sina.com>  Mon, 12 Sep 2022 09:35:44 +0800

stardict (3.0.7+git20211225+dfsg-1) unstable; urgency=medium

  [ xiao sheng wen(肖盛文) ]
  * New upstream version 3.0.7+git20211225+dfsg
  * Rediff patches use gbp pq, Drop some patchs that upstream had applied
  * upstream change git repo from github to gitee.com

 -- xiao sheng wen <atzlinux@sina.com>  Sat, 25 Dec 2021 21:28:44 +0800

stardict (3.0.7+git20210701.96b96d8+dfsg-2) unstable; urgency=medium

  [ xiao sheng wen(肖盛文) ]
  * add debian/salsa-ci.yml
  * d/control:
      - stardict-plugin-festival Depends:+ festvox-us-slt-hts
      - stardict-common add Multi-Arch: foreign
      - all plugin package remove Depends: stardict-common,
        as stardict-gtk already Depends stardict-common
      - set the single plugin binary package Recommends: stardict-plugin
      - set the single plugin binary package to the Suggests:
        of stardcit-gtk and stardcit-plugin
  * add d/patches/dict-data-stardict.appdata.xml.in.patch,
    fix AppStream hints: warning

 -- xiao sheng wen <atzlinux@sina.com>  Wed, 15 Dec 2021 09:48:20 +0800

stardict (3.0.7+git20210701.96b96d8+dfsg-1) unstable; urgency=medium

  [ xiao sheng wen(肖盛文) ]
  * New maintainer (Closes: #996678)
  * New upstream version 3.0.7+git20210701.96b96d8, support gtk3
  * d/copyright:
      - update Source: field to new upstream URL
      - add gpl-2+ license paragraph
      - add Files-Excluded files
      - add tools/src info, use licensecheck
      - add Upstream-Contact: Hu Zheng <huzheng001@gmail.com>
  * d/control:
      - Bump debhelper-compat (= 13)
      - Bump Standards-Version: 4.6.0
      - add Rules-Requires-Root: no
      - stardict-plugin Depends: + man-db,
        man virtual dict plugin need to use man
      - Build-Depends:
        remove gnome-doc-utils (Closes: #947540), libgtk2.0-dev
        add libgtk-3-dev, gnome-common, libgconf2-dev,libgucharmap-2-90-dev,
            flite1-dev, libespeak-ng-dev, libcanberra-gtk3-dev,
            yelp-tools --> for gnome gtk3 docs
      - install a part of new plugins into stardict-plugin package
      - add new plugin binaray package:
        stardict-plugin-cal stardict-plugin-fortune stardict-plugin-info
      - fix lintian stardict-common: conflicts-with-version
  * d/rules:
      - save and restore original dict/INSTALL file
      - delete override_dh_missing target, default in compat 13
      - add override_dh_autoreconf target
      - add execute_after_dh_auto_build target
      - dh_auto_configure: add CXXFLAGS, remove all --disable-* entries
  * d/watch: Drop
  * add d/clean
  * d/patches:
      - Refresh patch series through gbp pq,
        New upstream version had applied all old Debian patches.
      - add patch files:
        fix-typo-stardict_client.cpp.patch
        update-dictionaries-download-url.patch
        add-keywords-stardict.desktop.patch
        del-wenjing.jpg-stardict-dict.patch
        fix-typo-stardict-tools.patch
        del-logo-stardict-dict.patch
        porting-yelp-tools-help-docs.patch
  * d/README.Debian:
      - update upstream URL, the dictionary files download URL, etc.
  * Update d/stardict-common.lintian-overrides
  * add d/upstream/metadata

 -- xiao sheng wen <atzlinux@sina.com>  Tue, 19 Oct 2021 13:04:47 +0800
