## stardict 3.0.7+git20220909+dfsg

=== debian/changelog ===
stardict (3.0.7+git20220909+dfsg-9) unstable; urgency=medium

  * d/control: update stardict-plugin-network-dictionary package Description
               thanks Justin B Rye
  * rename d/NEWS.Debian to d/NEWS
  * Bump Standards-Version: 4.7.2
  * d/copyright: fix old-fsf-address-in-copyright-file

 -- xiao sheng wen <atzlinux@sina.com>  Wed, 05 Nov 2025 08:59:49 +0800

stardict (3.0.7+git20220909+dfsg-8) unstable; urgency=medium

  * remove stardict_youdaodict.so plugin from stardict-plugin package,
    Closes: #1110370 CVE-2025-55014
  * split network-dictionary plugin to a new binary package
    stardict-plugin-network-dictionary
  * add d/NEWS.Debian

 -- xiao sheng wen <atzlinux@sina.com>  Mon, 11 Aug 2025 10:46:11 +0800

stardict (3.0.7+git20220909+dfsg-7) unstable; urgency=medium

  * d/stardict-plugin.install:not install stardict_dictdotcn.so, Closes: #806960
  * d/rules:Added --disable-dictdotcn option, dictdotcn is not provid server now

 -- xiao sheng wen <atzlinux@sina.com>  Wed, 06 Aug 2025 14:09:39 +0800
