=== debian/control ===
--- 
+++ 
@@ -5,7 +5,6 @@
 Build-Depends:
  debhelper-compat (= 13),
  gnome-common,
- libgconf2-dev,
  libgucharmap-2-90-dev,
  flite1-dev,
  libespeak-ng-dev,
@@ -17,9 +16,9 @@
  libespeak-dev,
  libestools-dev,
  libgtk-3-dev,
- default-libmysqlclient-dev,
- libpcre3-dev,
- libsigc++-2.0-dev (>= 2.0.18-2),
+ libjson-glib-dev,
+ libmariadb-dev,
+ libsigc++-2.0-dev,
  libtool,
  libx11-dev,
  libxml2-dev,
@@ -31,17 +30,22 @@
  xvfb <!nocheck>,
  zlib1g-dev,
 Build-Conflicts: autoconf2.13, automake1.4
-Standards-Version: 4.6.0
+Standards-Version: 4.7.2
 Rules-Requires-Root: no
-Homepage: http://stardict-4.sourceforge.net/
+Homepage: https://stardict-4.sourceforge.net/
 Vcs-Git: https://salsa.debian.org/debian/stardict.git
 Vcs-Browser: https://salsa.debian.org/debian/stardict
 
 Package: stardict
 Architecture: all
 Depends:
- ${misc:Depends}, ${shlibs:Depends},
- stardict-gtk (>= ${source:Version})
+ ${misc:Depends},
+ stardict-gtk (>= ${source:Version}),
+Suggests:
+ stardict-czech,
+ stardict-english-czech,
+ stardict-german-czech,
+ stardict-xmlittre,
 Description: International dictionary lookup program - stardict.png icons
  StarDict is a cross-platform international dictionary lookup program.
  .
@@ -233,10 +237,40 @@
  To use this info plugin, please input "info" prefix before string.
  For example: "info printf".
 
+Package: stardict-plugin-network-dictionary
+Architecture: any
+Depends:
+ ${misc:Depends}, ${shlibs:Depends},
+ stardict-gtk (= ${binary:Version}),
+Recommends: stardict-plugin (= ${binary:Version})
+Replaces: stardict-plugin
+Description: International dictionary lookup program - network dictionary plugin
+ StarDict is a cross-platform international dictionary lookup program.
+ .
+ Main features:
+  * Glob-style pattern matching search
+  * Fuzzy search
+  * Working from system tray
+  * Scanning mouse selection and showing pop-up windows with translation of
+    selected words
+  * Pronouncing of the translated words
+  * Plugins support
+  * ..and more
+ .
+ This package contains network-dictionary plugin for StarDict which can query
+ word through the network.
+ .
+ *Warning*
+  * This plugin will send query words over the network unencrypted!
+  * Please do *NOT* select any confidential data for dictionary queries.
+  * If the stardict "Scan" function is enabled, any text selected will
+    immediately be sent over the network.
+
 Package: stardict-plugin
 Architecture: any
 Depends:
  man-db,
+ ncal | bsdmainutils,
  ${misc:Depends}, ${shlibs:Depends},
  stardict-gtk (= ${binary:Version})
 Suggests:
@@ -246,6 +280,7 @@
  stardict-plugin-cal (= ${binary:Version}),
  stardict-plugin-fortune (= ${binary:Version}),
  stardict-plugin-info (= ${binary:Version}),
+ stardict-plugin-network-dictionary (= ${binary:Version}),
 Description: International dictionary lookup program - common plugins
  StarDict is a cross-platform international dictionary lookup program.
  .
@@ -272,12 +307,12 @@
   - stardict_flite plugin
   - stardict_gucharmap plugin
   - stardict_update_info plugin
-  - stardict_youdaodict plugin
+  - stardict_multi_cmd plugin(add in 3.0.7+git20220909)
 
 Package: stardict-common
 Architecture: all
 Multi-Arch: foreign
-Depends: ${misc:Depends}, sgml-data (>= 2.0.2)
+Depends: ${misc:Depends}, sgml-data
 Recommends: stardict-gtk (>= ${source:Version})
 Breaks: stardict-gnome (= 3.0.1-8), stardict-gtk (= 3.0.1-8)
 Replaces: stardict-gnome (= 3.0.1-8), stardict-gtk (= 3.0.1-8)
